#ifndef ECDCONTROLLER_H
#define ECDCONTROLLER_H

#include <QObject>
#include <QTimer>

#include <qwindowdefs.h>


#include "ecdsweda.h"

class EcdController : public QObject
{
    Q_OBJECT
public:
    explicit EcdController(WId id, QObject *parent = 0);
    virtual ~EcdController();
    void start();
    void stop();

signals:
    void sgMessage(const QString &msg);

public slots:

private slots:
    void process();

private:
    EcdSweda ecdSweda;
    QTimer timer;
};

#endif // ECDCONTROLLER_H
