unit uIntSC50X;

interface
uses Windows;
Const
  InvalidTerm = -1;
  TCD1200 = 1;

type stAddress = record
  Ip: LongWord;
  Port: Word;
end;

type pstAddress = ^stAddress;

function  bInitialize(Handle: Longint): Boolean; stdcall;
function  bTerminate:boolean;  stdcall;
function  bShowWindow:boolean; stdcall;

function  bConnect(var ID:stAddress)   :boolean; stdcall;
function  bDisconnect(var ID:stAddress):boolean;stdcall;
function  CloseTerminal(var ID:stAddress):boolean;stdcall;

procedure Inet_NtoA(nIP:DWORD;sIP:LPSTR );stdcall;
function  Inet_Addr(sIP:LPSTR):DWORD;stdcall;


function  bReceiveBarcode(var ID: stAddress;barcode: pchar): boolean; stdcall;
function  bSendProdNotFound(var ID: stAddress): boolean; stdcall;
function  bSendProdPriceTC50X(var ID: stAddress; NameProd: pchar; PriceProd: pchar): boolean; stdcall;
procedure vGetMsgWinReceiveDataTC(var MsgWin: LongWord); stdcall;

function SendConfiguration(ip, ip_cliente, ip_server, mascara, linha1, linha2, linha3, linha4, tempo: pchar): boolean; stdcall;
function GetConfiguration(ip, dados: pchar): boolean; stdcall;
function GetConfigurationNew(ip, ip_cliente, ip_server, mascara, linha1, linha2, linha3, linha4, tempo, gateway, linha5, linha6, linha7, linha8: pchar): boolean; stdcall;
   
implementation
function bInitialize(Handle: Longint): boolean; far; external 'ecdSweda.dll';stdcall;
//Inicia o servidor dos Terminais de Consulta

function bTerminate:boolean; far; external 'ecdSweda.dll';stdcall;
//Finaliza o servidor dos Terminais de Consulta

function bShowWindow:boolean; far; external 'ecdSweda.dll';stdcall;
//Exibe a Janela de Conexes dos Terminais de Consulta

function  bConnect(var ID:stAddress):boolean; far; external 'ecdSweda.dll';stdcall;
// Esta rotina retorna TRUE, quando um TC se conecta no servidor

function  bDisconnect(var ID:stAddress):boolean; far; external 'ecdSweda.dll';stdcall;
// Esta rotina retorna TRUE, quando um TC se desconecta do servidor

function  CloseTerminal(var ID:stAddress):boolean; far; external 'ecdSweda.dll';stdcall;
// Funcao para fechar um Terminal

procedure Inet_NtoA(nIP:DWORD ;sIP:LPSTR ); far; external 'ecdSweda.dll';stdcall;
// Converte a DWORD com IP em string (ascii)  separados por pontos

function  Inet_Addr(sIP:LPSTR):DWORD; far; external 'ecdSweda.dll';stdcall;
// Converte a string (ascii)  separados por pontos em DWORD com IP */

function bReceiveBarcode(var ID: stAddress;barcode: pchar): boolean; far; external 'ecdSweda.dll';stdcall;
// Esta rotina verifica na lista de eventos se h codigo de barras (barcode)
// Caso possua retorna True, e coloca o endereco do terminal ID e o codigo de barras em barcode

function bSendProdNotFound(var ID: stAddress): boolean; far; external 'ecdSweda.dll';stdcall;
//Esta rotina envia a mensagem para o terminal ID indicando que o produto nao foi cadastrado

function bSendProdPriceTC50X(var ID: stAddress; NameProd: pchar; PriceProd: pchar): boolean; far; external 'ecdSweda.dll';stdcall;
// esta rotina envia a mensagem para o terminal ID indicando o nome (NameProd) e preco (PriceProd) do produto

procedure vGetMsgWinReceiveDataTC(var MsgWin: LongWord); far; external 'ecdSweda';stdcall;
//Retorna o identificador da mensagen do Windows referente ao recebimento de dados dos TCDs

function SendConfiguration(ip, ip_cliente, ip_server, mascara, linha1, linha2, linha3, linha4, tempo: pchar): boolean; far; external 'ecdSweda.dll';stdcall;
// Altera a configuracao do Terminal

function GetConfiguration(ip, dados: pchar): boolean; far; external 'ecdSweda';stdcall;
//Captura a configuracao do terminal, e retorna em uma unica string.

function GetConfigurationNew(ip, ip_cliente, ip_server, mascara, linha1, linha2, linha3, linha4, tempo, gateway, linha5, linha6, linha7, linha8: pchar): boolean; far; external 'ecdSweda.dll';stdcall;
// Captura a configuracao do terminal

end.
