#include "mainwindow.h"
#include <QApplication>

#include <ecdcontroller.h>

int main(int argc, char *argv[])
{
    QApplication a(argc, argv);

    MainWindow w;

    EcdController ecdController(w.winId());

    ecdController.start();

    QObject::connect(&ecdController, SIGNAL(sgMessage(QString)), &w, SLOT(addMessage(QString)));

    w.show();
    return a.exec();
}
